{% assign author = site.data.authors[include.author] %}
{% assign date_format = site.data.language.date_format %}
{% assign date = include.date | default: "today" | date: "%B %-d, %Y" %}
{% assign time = include.time %}

<div class="post-info">
  {%- if author.url -%}<a href="{{ author.url | relative_url }}" target="_blank">{%- endif -%}
    {% if author.avatar  %}
      <img alt="Author's avatar" src="{{ author.avatar | relative_url }}">
    {% endif %}
    <p class="meta">
      {% if author.name %}{{ author.name }} · {% endif %}

      {% assign x = date | date: "%m" | minus: 1 %}
      {% assign month_str = site.data.language.str_months[x] %} 
      {% assign date_format = date_format | default: "%B %-d, %Y" | replace: "%B", month_str %}
    
      {{ date | date: date_format }}
      {% if time %}· {{ time }} {% endif %}
    </p>
  {%- if author.url -%}</a>{%- endif -%}
</div>
